Package sop.cli.picocli

# Class SOPExceptionExitCodeMapper

java.lang.Object
sop.cli.picocli.SOPExceptionExitCodeMapper

All Implemented Interfaces:
  `picocli.CommandLine.IExitCodeExceptionMapper`

public class SOPExceptionExitCodeMapper extends Object implements picocli.CommandLine.IExitCodeExceptionMapper

## Constructor Summary

Constructors
Constructor
Description
`SOPExceptionExitCodeMapper()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getExitCode(Throwable exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SOPExceptionExitCodeMapper

public SOPExceptionExitCodeMapper()

## Method Details

### getExitCode

public int getExitCode(Throwable exception)

Specified by:
  `getExitCode` in interface `picocli.CommandLine.IExitCodeExceptionMapper`